summaryrefslogtreecommitdiff
path: root/pandeia-engine/build.sh
diff options
context:
space:
mode:
authorJoe Hunkeler <jhunk@stsci.edu>2016-03-23 17:00:53 -0400
committerJoe Hunkeler <jhunk@stsci.edu>2016-03-23 17:00:53 -0400
commite4caf4a2acbb18875b1064246554e4105449b5a3 (patch)
treeb57ece5acd84c9a8c9235818b975a439c8ae3df9 /pandeia-engine/build.sh
downloadastroconda-contrib-e4caf4a2acbb18875b1064246554e4105449b5a3.tar.gz
Initial commit
Diffstat (limited to 'pandeia-engine/build.sh')
-rw-r--r--pandeia-engine/build.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/pandeia-engine/build.sh b/pandeia-engine/build.sh
new file mode 100644
index 0000000..4aadc69
--- /dev/null
+++ b/pandeia-engine/build.sh
@@ -0,0 +1,11 @@
+
+pip install --no-deps --upgrade --force d2to1 || exit 1
+
+( cd engine && \
+(python setup.py install || exit 1 ) ) && \
+( cd ui && \
+(python setup.py install || exit 1 ) )
+
+DOCDIR="$PREFIX/share/doc/pandeia-engine"
+mkdir -p $DOCDIR
+cp -a doc/{api_overview,user,install} $DOCDIR \ No newline at end of file